/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

@font-face {
    font-family: 'Roboto';
    src: url('/assets/fonts/Roboto-Regular.ttf');
  }
@font-face {
    font-family: 'Wahyu';
    src: url('/assets/fonts/Wahyu.ttf');
}
@font-face {
  font-family: 'WahyuSemiBold';
  src: url('/assets/fonts/WahyuSemiBold.ttf');
}
@font-face {
  font-family: 'orkney-medium';
  src: url('/assets/fonts/orkney-medium.otf');
}
@font-face {
  font-family: 'orkney-bold';
  src: url('/assets/fonts/orkney-bold.otf');
}

ion-modal {
    --width: 100%;
    --height: 100%;
    --border-radius: 0;
}
ion-content{
        font-family:orkney-medium !important;
}

ion-title, h1, h2 , h3, ion-card-title{
        font-family:orkney-bold !important;
}

.project-modal{
    margin-right: 30%;
    margin-left: 30%;
    padding-right: 500px;
    padding-left: 500px;
}

.loading-wrapper {
    position: absolute !important;
    top: 0 !important;
    bottom: 0 !important;
    left: 0 !important;
    right: 0 !important;
    padding: 0 !important;
    border-radius: 0 !important;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -moz-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-align-content: stretch;
    -ms-flex-line-pack: stretch;
    align-content: stretch;
    -webkit-box-align: center;
    -moz-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    min-width: 100% !important;
    max-height: 100% !important;
    //--background-color:var(--background-color);
    --background-color: #2a2e30 !important;
    background-color: #2a2e30 !important;
}

ion-toolbar:last-of-type {
    --border-width: 0 0 0px !important;
}


ion-picker {
    touch-action: none;
}

ion-header {
  background-color: #2a2e30 !important;
  --ion-text-color: #ffffff;
}

ion-card{
  --color: black;
}

ion-popover {

  --background: rgb(255, 255, 255);
  --backdrop-opacity: 0.6;
  --box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.6);
  --color: white;
  --width: 300px;
}

ion-popover ion-content {
  --background: rgb(255, 255, 255);
  max-height: 200px;
  --width: 100%;
}

ion-popover::part(backdrop) {
  background-color: #2a2e30;
}

ion-title {
  overflow: inherit;
  text-overflow: inherit !important;
  white-space: normal !important;
}
